Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Interface AnnotatedClassInjector

    public interface AnnotatedClassInjector

Injector applied to annotated (local transform) entities

Authors:
  Graeme Rocher

Since:
  2.2.3

Method Summary
`void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)` Performs injection on an annotated entity

Method Detail

### performInjectionOnAnnotatedClass

    public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

  Performs injection on an annotated entity
  Parameters:
    `source` - The source unit
    `classNode` - The class node

Groovy Documentation